import 'package:freezed_annotation/freezed_annotation.dart';

part 'kill_house_poultry.freezed.dart';
part 'kill_house_poultry.g.dart';

@freezed
abstract class KillHousePoultry with _$KillHousePoultry {
  const factory KillHousePoultry({
    String? name,
    bool? killer,
    String? fullname,
    int? quantitySum,
    int? firstQuantity,
    int? poultryQuantitySum,
    String? killReqKey,
  }) = _KillHousePoultry;

  factory KillHousePoultry.fromJson(Map<String, dynamic> json) =>
      _$KillHousePoultryFromJson(json);
}
